# step

Step is an interactive physical simulator.
It allows you to explore the physical world through simulations.

Features:
 * Classical mechanical simulation in two dimensions;
 * Particles, springs with dumping, gravitational and coulomb forces;
 * Rigid bodies;
 * Collision detection (currently only discrete) and handling;
 * Soft (deformable) bodies simulated as user-editable particles-springs system, sound waves;
 * Molecular dynamics (currently using Lennard-Jones potential):
    * gas and liquid,
    * condensation and evaporation,
    * calculation of macroscopic quantities and their variances;
 * Units conversion and expression calculation;
 * Errors calculation and propagation;
 * Solver error estimation;
 * Several different solvers;
 * Controller tool to easily control properties during simulation;
 * Tools to visualize results: graph, meter, tracer;
 * Context information for all objects, integrated wikipedia browser;
 * Collection of example experiments, more can be downloaded with KNewStuff2;
 * Integrated tutorials.

